summaryrefslogtreecommitdiff
path: root/elf/ldd.sh.in
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1998-02-27 10:00:44 +0000
committerUlrich Drepper <drepper@redhat.com>1998-02-27 10:00:44 +0000
commit9eb2730eab81c7732ecd9727c64165cab01b0d2b (patch)
tree740f5b85a62a3aaf534f9a2d0da6cb2e80a28d2e /elf/ldd.sh.in
parentd7390a372fef23e78ff90d1a93eb6d5dc1d337f2 (diff)
Update.
1998-02-25 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de> * sysdeps/libm-ieee754/s_isnanl.c: Ignore the explicit integer bit. * sysdeps/libm-ieee754/s_isinfl.c: Likewise.
Diffstat (limited to 'elf/ldd.sh.in')
-rw-r--r--elf/ldd.sh.in47
1 files changed, 31 insertions, 16 deletions
diff --git a/elf/ldd.sh.in b/elf/ldd.sh.in
index 1de55f4d39..90ec9ffb62 100644
--- a/elf/ldd.sh.in
+++ b/elf/ldd.sh.in
@@ -32,11 +32,12 @@ while test $# -gt 0; do
case "$1" in
--vers | --versi | --versio | --version)
echo 'ldd (GNU libc) @VERSION@
-Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+Copyright (C) 1996, 1997, 1998 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.'
- exit 0 ;;
+ exit 0
+ ;;
--h | --he | --hel | --help)
echo "ldd [OPTION]... FILE...
--help print this help and exit
@@ -45,32 +46,40 @@ Written by Roland McGrath and Ulrich Drepper.'
-r, --function-relocs process data and function relocations
-v, --verbose print all information
Report bugs using the \`glibcbug' script to <bugs@gnu.org>."
- exit 0 ;;
+ exit 0
+ ;;
-d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \
--data-rel | --data-relo | --data-reloc | --data-relocs)
warn=yes
- shift ;;
+ shift
+ ;;
-r | --f | --fu | --fun | --func | --funct | --functi | --functio | \
--function | --function- | --function-r | --function-re | --function-rel | \
--function-relo | --function-reloc | --function-relocs)
warn=yes
bind_now=yes
- shift ;;
+ shift
+ ;;
-v | --verb | --verbo | --verbos | --verbose)
verbose=yes
- shift ;;
+ shift
+ ;;
--v | --ve | --ver)
echo >&2 "ldd: option \`$1' is ambiguous"
- exit 1 ;;
+ exit 1
+ ;;
--) # Stop option processing.
- shift; break ;;
+ shift; break
+ ;;
-*)
echo >&2 "\
ldd: unrecognized option \`$1'
Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
*)
- break ;;
+ break
+ ;;
esac
done
@@ -81,12 +90,15 @@ case $# in
echo >&2 "\
ldd: missing file arguments
Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
1)
# We don't list the file name when there is only one.
case "$1" in
- */*) file="$1" ;;
- *) file="./$1" ;;
+ */*) file="$1"
+ ;;
+ *) file="./$1"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}: no such file"
@@ -117,15 +129,18 @@ Try \`ldd --help' for more information."
exit 1
fi
fi
- exit ;;
+ exit
+ ;;
*)
set -e # Bail out immediately if ${RTLD} loses on any argument.
result=0
for file; do
echo "${file}:"
case "$file" in
- */*) : ;;
- *) file="./$file" ;;
+ */*) :
+ ;;
+ *) file="./$file"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}: no such file"